Sage 9.6.beta0 released

133 views
Skip to first unread message

Volker Braun

unread,
Feb 6, 2022, 2:14:02 PMFeb 6
to sage-release
As always, you can get the latest beta version from the "develop" git branch. Alternatively, the self-contained source tarball is at http://www.sagemath.org/download-latest.html

There is a new random failure that I spent a lot of time unsuccessfully to isolate, currently I can't reproduce it with this release but if you observe it please report. It might be related to the cython update, not sure:

File "src/sage/schemes/cyclic_covers/cycliccover_finite_field.py", line 1138, in sage.schemes.cyclic_covers.cycliccover_finite_field.CyclicCover_finite_field.frobenius_polynomial
Failed example:
    CyclicCover(11, PolynomialRing(GF(1129), 'x')([-1] + [0]*(5-1) + [1])).frobenius_polynomial() # long time
Exception raised:
    Traceback (most recent call last):
      File "sage/misc/cachefunc.pyx", line 1943, in sage.misc.cachefunc.CachedMethodCaller.__call__ (build/cythonized/sage/misc/cachefunc.c:10410)
        return cache[k]
    KeyError: ((11,), ())
    During handling of the above exception, another exception occurred:
    Traceback (most recent call last):
      File "/Users/buildbot-sage/worker/sage_git/build/local/var/lib/sage/venv-python3.9.9/lib/python3.9/site-packages/sage/doctest/forker.py", line 694, in _run
        self.compile_and_execute(example, compiler, test.globs)
      File "/Users/buildbot-sage/worker/sage_git/build/local/var/lib/sage/venv-python3.9.9/lib/python3.9/site-packages/sage/doctest/forker.py", line 1088, in compile_and_execute
        exec(compiled, globs)
      File "<doctest sage.schemes.cyclic_covers.cycliccover_finite_field.CyclicCover_finite_field.frobenius_polynomial[23]>", line 1, in <module>
        CyclicCover(Integer(11), PolynomialRing(GF(Integer(1129)), 'x')([-Integer(1)] + [Integer(0)]*(Integer(5)-Integer(1)) + [Integer(1)])).frobenius_polynomial() # long time
      File "sage/misc/cachefunc.pyx", line 2310, in sage.misc.cachefunc.CachedMethodCallerNoArgs.__call__ (build/cythonized/sage/misc/cachefunc.c:13020)
        self.cache = f(self._instance)
      File "/Users/buildbot-sage/worker/sage_git/build/local/var/lib/sage/venv-python3.9.9/lib/python3.9/site-packages/sage/schemes/cyclic_covers/cycliccover_finite_field.py", line 1233, in frobenius_polynomial
        F = self.frobenius_matrix(self._N0)
      File "sage/misc/cachefunc.pyx", line 1948, in sage.misc.cachefunc.CachedMethodCaller.__call__ (build/cythonized/sage/misc/cachefunc.c:10546)
        w = self._instance_call(*args, **kwds)
      File "sage/misc/cachefunc.pyx", line 1824, in sage.misc.cachefunc.CachedMethodCaller._instance_call (build/cythonized/sage/misc/cachefunc.c:10012)


The following tickets were merged:

226937dfa9 (HEAD -> develop, tag: 9.6.beta0, trac/develop) Updated SageMath version to 9.6.beta0
f0df3d8b40 (origin/develop) Trac #32985: cython: Update to 0.29.25
3984fd1484 Trac #32984: fix _row_ambient_module/_column_ambient_module and make them public
721769c1cf Trac #32979: minor details in combinat
71337f9807 Trac #32978: fix usage of underscore in combinat loops
4e5971f12b Trac #32970: fix parent of 0th Bernoulli polynomial
2d74bd412d Trac #32968: Update sphinx to 4.3
50d9be9690 Trac #32891: Unstable doctest geometry/hyperbolic_space/hyperbolic_model.py
65aef17f4d Trac #32890: Unstable doctest in hmm/chmm.pyx
41d49e33d5 Trac #32888: Feature for sage.groups
dcce1d6f5e Trac #32881: Feature for sage.rings.padics
b36016a2fb Trac #32877: Remove superfluous set_random_seed() calls
c85d2304d9 Trac #32873: sage.features, sage_setup: Replace use of distutils.errors by setuptools
86d4d9702f Trac #32856: Get rid of "# optional - build"
6008371eba Trac #32846: sage.geometry: More # optional
ea39266e7e Trac #32802: Clean the use of weights in graph.py
9b45db5d82 Trac #32798: Clean the use of weights in generic_graph.py - part 1
06f45f2916 Trac #32726: quaternion ideals' .scale() incorrectly copies cached left and right orders
468797ca2d Trac #32683: LP Bounds for Johnson Scheme, Q-Polynomial Association Schemes
ac5c815531 Trac #32553: Fix coefficient method for modular forms
593b6ae930 Trac #32510: Update igraph to 0.9.5 and python_igraph to 0.9.8
d4abc0a852 Trac #32451: asymptotic expansions: improve compare_with_values(), including support for interval coefficients
742c77c14b Trac #32252: fix colours of tiles in TilingSolver
971737e7d5 Trac #31787: Alternative parameters for generating a k-regular sequence from recurrence relations
648007030e Trac #31424: wrong result for bool(a <= b)
ddf44d8b49 Trac #31306: sage.repl: Replace use of SAGE_EXTCODE by importlib.resources
d04fbee6cb Trac #31299: Chu-Vandermonde simplification fails
3abe1a7938 Trac #31013: Remove unused class from sage_setup.optional extension
464f81e388 Trac #30362: Add symplectic structures
25080fa1b3 Trac #29865: Modularization of sagelib: Break out separate packages sagemath-objects, sagemath-categories
7483aad48a Trac #25633: Speed up SBox module
494fbe35fc Trac #21325: k-regular sequences: subsequences, forward/backward difference, partial sums
3b35941b3b Trac #33189: Make tests pass with arb 2.22
201888456d Trac #33173: Off-by-one error in CFiniteSequence slices
2e10636c98 Trac #33131: Installation manual: Add decision tree, remove mention of Sage-mirror-hosted binary distributions
6f5f31e10e Trac #33101: lrslib: fix doctest in game_theory/parser.py
b8c7f43ec6 Trac #33077: pari-jupyter: Reinstate
0222526fb8 Trac #8450: intermediate complex expression in real functions make many plot functions fail
439907fd9a (tag: 9.5, trac/master, origin/master, origin/HEAD) Updated SageMath version to 9.5

Volker Braun

unread,
Feb 6, 2022, 2:15:09 PMFeb 6
to sage-release
The cycliccover_finite_field.py error is https://trac.sagemath.org/ticket/33304

Kenji Iohara

unread,
Feb 7, 2022, 7:33:12 PMFeb 7
to sage-r...@googlegroups.com
On my Mac OS 12.2 with Intel Core i5, and Python 3.10.1 installed, the first built worked,
but for make ptestlong, I had

sage -t --long --warn-long 219.6 --random-seed=75251728654196538837351281245072676896 src/sage/combinat/tiling.py  # Timed out
sage -t --long --warn-long 219.6 --random-seed=75251728654196538837351281245072676896 src/sage/schemes/elliptic_curves/isogeny_small_degree.py  # Timed out
sage -t --long --warn-long 219.6 --random-seed=75251728654196538837351281245072676896 src/sage/algebras/lie_algebras/classical_lie_algebra.py  # Timed out
sage -t --long --warn-long 219.6 --random-seed=75251728654196538837351281245072676896 src/sage/rings/integer.pyx  # Timed out
sage -t --long --warn-long 219.6 --random-seed=75251728654196538837351281245072676896 src/sage/manifolds/differentiable/characteristic_cohomology_class.py  # Timed out
sage -t --long --warn-long 219.6 --random-seed=75251728654196538837351281245072676896 src/sage/rings/polynomial/polynomial_zmod_flint.pyx  # Timed out
sage -t --long --warn-long 219.6 --random-seed=75251728654196538837351281245072676896 src/sage/graphs/generators/distance_regular.pyx  # Timed out
sage -t --long --warn-long 219.6 --random-seed=75251728654196538837351281245072676896 src/sage/dynamics/arithmetic_dynamics/projective_ds.py  # Timed out
sage -t --long --warn-long 219.6 --random-seed=75251728654196538837351281245072676896 src/sage/plot/plot3d/plot3d.py  # Timed out
sage -t --long --warn-long 219.6 --random-seed=75251728654196538837351281245072676896 src/sage/combinat/diagram_algebras.py  # Timed out
sage -t --long --warn-long 219.6 --random-seed=75251728654196538837351281245072676896 src/sage/manifolds/differentiable/affine_connection.py  # Timed out
sage -t --long --warn-long 219.6 --random-seed=75251728654196538837351281245072676896 src/sage/plot/plot3d/parametric_plot3d.py  # Timed out
sage -t --long --warn-long 219.6 --random-seed=75251728654196538837351281245072676896 src/sage/plot/plot3d/base.pyx  # Timed out
sage -t --long --warn-long 219.6 --random-seed=75251728654196538837351281245072676896 src/sage/rings/padics/padic_base_leaves.py  # Timed out
sage -t --long --warn-long 219.6 --random-seed=75251728654196538837351281245072676896 src/sage/combinat/sf/sfa.py  # Timed out
sage -t --long --warn-long 219.6 --random-seed=75251728654196538837351281245072676896 src/sage/plot/plot3d/implicit_plot3d.py  # Timed out
sage -t --long --warn-long 219.6 --random-seed=75251728654196538837351281245072676896 src/sage/rings/valuation/mapped_valuation.py  # Timed out
sage -t --long --warn-long 219.6 --random-seed=75251728654196538837351281245072676896 src/sage/rings/asymptotic/asymptotics_multivariate_generating_functions.py  # Timed out
sage -t --long --warn-long 219.6 --random-seed=75251728654196538837351281245072676896 src/sage/crypto/mq/rijndael_gf.py  # Timed out
sage -t --long --warn-long 219.6 --random-seed=75251728654196538837351281245072676896 src/sage/rings/invariants/invariant_theory.py  # Timed out
sage -t --long --warn-long 219.6 --random-seed=75251728654196538837351281245072676896 src/sage/manifolds/differentiable/vectorfield.py  # Timed out
sage -t --long --warn-long 219.6 --random-seed=75251728654196538837351281245072676896 src/sage/plot/plot3d/list_plot3d.py  # Timed out
sage -t --long --warn-long 219.6 --random-seed=75251728654196538837351281245072676896 src/sage/rings/padics/padic_extension_leaves.py  # Timed out
sage -t --long --warn-long 219.6 --random-seed=75251728654196538837351281245072676896 src/sage/schemes/curves/projective_curve.py  # Timed out
sage -t --long --warn-long 219.6 --random-seed=75251728654196538837351281245072676896 src/sage/misc/sageinspect.py  # Timed out
sage -t --long --warn-long 219.6 --random-seed=75251728654196538837351281245072676896 src/sage/geometry/riemannian_manifolds/parametrized_surface3d.py  # Timed out
sage -t --long --warn-long 219.6 --random-seed=75251728654196538837351281245072676896 src/sage/schemes/elliptic_curves/kraus.py  # Timed out
sage -t --long --warn-long 219.6 --random-seed=75251728654196538837351281245072676896 src/doc/en/thematic_tutorials/vector_calculus/vector_calc_change.rst  # Timed out
sage -t --long --warn-long 219.6 --random-seed=75251728654196538837351281245072676896 src/sage/plot/plot3d/implicit_surface.pyx  # Timed out
sage -t --long --warn-long 219.6 --random-seed=75251728654196538837351281245072676896 src/sage/schemes/projective/projective_rational_point.py  # Timed out
sage -t --long --warn-long 219.6 --random-seed=75251728654196538837351281245072676896 src/sage/graphs/strongly_regular_db.pyx  # Timed out
sage -t --long --warn-long 219.6 --random-seed=75251728654196538837351281245072676896 src/sage/plot/text.py  # Timed out
sage -t --long --warn-long 219.6 --random-seed=75251728654196538837351281245072676896 src/sage/combinat/sf/jack.py  # Timed out
sage -t --long --warn-long 219.6 --random-seed=75251728654196538837351281245072676896 src/sage/doctest/forker.py  # Timed out after testing finished
sage -t --long --warn-long 219.6 --random-seed=75251728654196538837351281245072676896 src/sage/sandpiles/sandpile.py  # Timed out
sage -t --long --warn-long 219.6 --random-seed=75251728654196538837351281245072676896 src/sage/groups/cubic_braid.py  # Timed out
----------------------------------------------------------------------
Total time for all tests: 30308.2 seconds
    cpu time: 14922.1 seconds
    cumulative wall time: 49146.9 seconds
Features detected for doctesting: dvipng,graphviz,imagemagick,pandoc,pdf2svg,sage.combinat,sage.geometry.polyhedron,sage.graphs,sage.groups,sage.plot,sage.rings.number_field,sage.rings.padics,sage.rings.real_double,sage.symbolic,sagemath_doc_html,sphinx
Pytest is not installed, skip checking tests that rely on it.
make: *** [ptestlong] Error 4


Here is the log file: 
ptestlong.log

Sébastien Labbé

unread,
Feb 8, 2022, 9:32:40 AMFeb 8
to sage-release
On Ubuntu 18.04, with few optional/external packages, I get

Running doctests with ID 2022-02-07-17-21-38-2cb12a08.
Git branch: develop
Using --optional=4ti2,build,ccache,cryptominisat,debian,debugpy,dot2tex,e_antic,external,fricas,glucose,latte_int,lidia,normaliz,notedown,pandoc_attributes,pip,pycosat,pynormaliz,rst2ipynb,sage,sage_numerical_backends_coin,sage_spkg
[...]
----------------------------------------------------------------------
sage -t --long --random-seed=181853543176117186194592858524549391076 src/sage/calculus/calculus.py  # 3 doctests failed
sage -t --long --random-seed=181853543176117186194592858524549391076 src/sage/combinat/designs/incidence_structures.py  # 1 doctest failed
sage -t --long --random-seed=181853543176117186194592858524549391076 src/sage/databases/findstat.py  # 12 doctests failed
sage -t --long --random-seed=181853543176117186194592858524549391076 src/sage/databases/oeis.py  # 1 doctest failed
sage -t --long --random-seed=181853543176117186194592858524549391076 src/sage/graphs/generic_graph.py  # 2 doctests failed
sage -t --long --random-seed=181853543176117186194592858524549391076 src/sage/graphs/graph.py  # 3 doctests failed
sage -t --long --random-seed=181853543176117186194592858524549391076 src/sage/interfaces/mathematica.py  # 1 doctest failed
sage -t --long --random-seed=181853543176117186194592858524549391076 src/sage/symbolic/integration/external.py  # 8 doctests failed
sage -t --long --random-seed=181853543176117186194592858524549391076 src/sage/symbolic/integration/integral.py  # 2 doctests failed
sage -t --long --random-seed=181853543176117186194592858524549391076 src/sage/tests/cmdline.py  # 1 doctest failed
----------------------------------------------------------------------
Features detected for doctesting: dvipng,ffmpeg,graphviz,imagemagick,internet,latex,latex_package_tkz_graph,lualatex,octave,pandoc,pdf2svg,pdflatex,sage.combinat,sage.geometry.polyhedron,sage.graphs,sage.groups,sage.plot,sage.rings.number_field,sage.rings.padics,sage.rings.real_double,sage.symbolic,sagemath_doc_html,sphinx,xelatex

When rerunning failed tests, only the following failures reproduce:

----------------------------------------------------------------------
sage -t --long --random-seed=189990558529197088173411804645557675259 src/sage/combinat/designs/incidence_structures.py  # 1 doctest failed
sage -t --long --random-seed=189990558529197088173411804645557675259 src/sage/databases/findstat.py  # 14 doctests failed
sage -t --long --random-seed=189990558529197088173411804645557675259 src/sage/databases/oeis.py  # 3 doctests failed
sage -t --long --random-seed=189990558529197088173411804645557675259 src/sage/graphs/generic_graph.py  # 2 doctests failed
sage -t --long --random-seed=189990558529197088173411804645557675259 src/sage/graphs/graph.py  # 3 doctests failed
sage -t --long --random-seed=189990558529197088173411804645557675259 src/sage/interfaces/mathematica.py  # 1 doctest failed
sage -t --long --random-seed=189990558529197088173411804645557675259 src/sage/tests/cmdline.py  # 1 doctest failed
----------------------------------------------------------------------
Features detected for doctesting: graphviz,internet,latex,pandoc,sage.groups,sage.symbolic

which means failures with calculus.py and sage/symbolic disappeared. Indeed, they were related to a problem with access to internet:


sage -t --long --random-seed=181853543176117186194592858524549391076 src/sage/calculus/calculus.py
**********************************************************************
File "src/sage/calculus/calculus.py", line 1297, in sage.calculus.calculus.limit
Failed example:
    limit(pi+log(x)/x,x=oo, algorithm='mathematica_free') # optional - internet

Exception raised:
    Traceback (most recent call last):
      File "/home/slabbe/GitBox/sage/local/lib/python3.9/site-packages/sage/doctest/forker.py", line 694, in _run
        self.compile_and_execute(example, compiler, test.globs)
      File "/home/slabbe/GitBox/sage/local/lib/python3.9/site-packages/sage/doctest/forker.py", line 1088, in compile_and_execute
        exec(compiled, globs)
      File "<doctest sage.calculus.calculus.limit[43]>", line 1, in <module>
        limit(pi+log(x)/x,x=oo, algorithm='mathematica_free') # optional - internet
      File "/home/slabbe/GitBox/sage/local/lib/python3.9/site-packages/sage/calculus/calculus.py", line 1454, in limit
        return mma_free_limit(ex, v, a, dir)
      File "/home/slabbe/GitBox/sage/local/lib/python3.9/site-packages/sage/calculus/calculus.py", line 1502, in mma_free_limit
        json_page_data = request_wolfram_alpha(input)
      File "/home/slabbe/GitBox/sage/local/lib/python3.9/site-packages/sage/interfaces/mathematica.py", line 1142, in request_wolfram_alpha
        resp = opener.open(req)
      File "/home/slabbe/GitBox/sage/local/lib/python3.9/urllib/request.py", line 523, in open
        response = meth(req, response)
      File "/home/slabbe/GitBox/sage/local/lib/python3.9/urllib/request.py", line 632, in http_response
        response = self.parent.error(
      File "/home/slabbe/GitBox/sage/local/lib/python3.9/urllib/request.py", line 561, in error
        return self._call_chain(*args)
      File "/home/slabbe/GitBox/sage/local/lib/python3.9/urllib/request.py", line 494, in _call_chain
        result = func(*args)
      File "/home/slabbe/GitBox/sage/local/lib/python3.9/urllib/request.py", line 641, in http_error_default
        raise HTTPError(req.full_url, code, msg, hdrs, fp)
    urllib.error.HTTPError: HTTP Error 500: Proxy Error
**********************************************************************



sage -t --long --random-seed=181853543176117186194592858524549391076 src/sage/symbolic/integration/external.py
**********************************************************************
File "src/sage/symbolic/integration/external.py", line 79, in sage.symbolic.integration.external.mma_free_integrator
Failed example:
    mma_free_integrator(sin(x), x) # optional - internet

Exception raised:
    Traceback (most recent call last):
      File "/home/slabbe/GitBox/sage/local/lib/python3.9/site-packages/sage/doctest/forker.py", line 694, in _run
        self.compile_and_execute(example, compiler, test.globs)
      File "/home/slabbe/GitBox/sage/local/lib/python3.9/site-packages/sage/doctest/forker.py", line 1088, in compile_and_execute
        exec(compiled, globs)
      File "<doctest sage.symbolic.integration.external.mma_free_integrator[1]>", line 1, in <module>
        mma_free_integrator(sin(x), x) # optional - internet
      File "/home/slabbe/GitBox/sage/local/lib/python3.9/site-packages/sage/symbolic/integration/external.py", line 126, in mma_free_integrator
        json_page_data = request_wolfram_alpha(input)
      File "/home/slabbe/GitBox/sage/local/lib/python3.9/site-packages/sage/interfaces/mathematica.py", line 1142, in request_wolfram_alpha
        resp = opener.open(req)
      File "/home/slabbe/GitBox/sage/local/lib/python3.9/urllib/request.py", line 523, in open
        response = meth(req, response)
      File "/home/slabbe/GitBox/sage/local/lib/python3.9/urllib/request.py", line 632, in http_response
        response = self.parent.error(
      File "/home/slabbe/GitBox/sage/local/lib/python3.9/urllib/request.py", line 561, in error
        return self._call_chain(*args)
      File "/home/slabbe/GitBox/sage/local/lib/python3.9/urllib/request.py", line 494, in _call_chain
        result = func(*args)
      File "/home/slabbe/GitBox/sage/local/lib/python3.9/urllib/request.py", line 641, in http_error_default
        raise HTTPError(req.full_url, code, msg, hdrs, fp)
    urllib.error.HTTPError: HTTP Error 500: Proxy Error
**********************************************************************

Follow up at https://trac.sagemath.org/ticket/25536 for the other failures. In particular, failures with findstat, oeis and mathematica (u-prefix for string in doctests) are fixed at https://trac.sagemath.org/ticket/33179

In summary, no new failures to report.

Eric Gourgoulhon

unread,
Feb 8, 2022, 10:20:22 AMFeb 8
to sage-release
On Ubuntu 20.04 running on Xeon E5-2623 + 16 GB RAM:
- parallel build (-j16) from a fresh git clone, with system python (3.8.10): OK
- make ptestlong --> "All tests passed!"

Eric.

Emmanuel Charpentier

unread,
Feb 9, 2022, 8:04:34 AMFeb 9
to sage-release

On Debian testing running on core i5 + 8 GB RAM, upgrading 9.5 to 9.6.beta0 and running ptestlong gets me three permanent failures.

Already reported :

sage -t --long --warn-long 71.7 --random-seed=230319547821274793169446791358036431034 src/sage/algebras/quantum_groups/quantum_group_gap.py  # 1 doctest failed
sage -t --long --warn-long 71.7 --random-seed=230319547821274793169446791358036431034 src/sage/functions/min_max.py  # 2 doctests failed

New (with rerun) :

charpent@p-202-021:/usr/local/sage-9$ sage -t --long --warn-long 71.7 --random-seed=230319547821274793169446791358036431034 src/sage/schemes/toric/sheaf/klyachko.py  # 1 doctest failed
Running doctests with ID 2022-02-09-13-57-32-1e45e852.
Git branch: develop
Using --optional=debian,debugpy,dot2tex,fricas,gap_packages,libsemigroups,pip,sage,sage_spkg
Features to be detected: 4ti2,benzene,bliss,buckygen,conway_polynomials,csdp,database_cremona_ellcurve,database_cremona_mini_ellcurve,database_jones_numfield,database_knotinfo,dvipng,graphviz,imagemagick,jupymake,kenzo,latte_int,lrslib,mcqd,meataxe,pandoc,pdf2svg,plantri,pynormaliz,python_igraph,rubiks,sage.combinat,sage.geometry.polyhedron,sage.graphs,sage.groups,sage.plot,sage.rings.number_field,sage.rings.padics,sage.rings.real_double,sage.symbolic,sage_numerical_backends_coin,sagemath_doc_html,sphinx,tdlib
Doctesting 1 file.
sage -t --long --warn-long 71.7 --random-seed=230319547821274793169446791358036431034 src/sage/schemes/toric/sheaf/klyachko.py
**********************************************************************
File "src/sage/schemes/toric/sheaf/klyachko.py", line 950, in sage.schemes.toric.sheaf.klyachko.KlyachkoBundle_class.random_deformation
Failed example:
    Vtilde.cohomology(dim=True, weight=(0,))
Expected:
    (1, 0)
Got:
    (0, 0)
**********************************************************************
1 item had failures:
   1 of   7 in sage.schemes.toric.sheaf.klyachko.KlyachkoBundle_class.random_deformation
    [151 tests, 1 failure, 8.10 s]
----------------------------------------------------------------------
sage -t --long --warn-long 71.7 --random-seed=230319547821274793169446791358036431034 src/sage/schemes/toric/sheaf/klyachko.py  # 1 doctest failed
----------------------------------------------------------------------
Total time for all tests: 8.2 seconds
    cpu time: 7.7 seconds
    cumulative wall time: 8.1 seconds
Features detected for doctesting: 
Pytest is not installed, skip checking tests that rely on it.

HTH,

tsc...@ucdavis.edu

unread,
Feb 11, 2022, 7:37:40 PMFeb 11
to sage-release
Something that has come up a few times when doing these upgrades for me has been line endings causing git to think a file has changed which makes merging things cleaning a major PITA. I believe this is caused by #31306, and what I have to do is add this line to .gitattributes

*.png binary

and bring that with me (i.e., not doing a commit) as I merge in develop to my local branches (rebasing is even harder because I have to actually make it a commit and then revert it).

I tried changing the auto crlf option, but that did not get me anywhere. I don't know if anything can be done about this, but it would be nice if there was something.

Best,
Travis

Volker Braun

unread,
Feb 12, 2022, 4:22:55 AMFeb 12
to sage-release
I haven't seen that, but please do provide a patch

Markus Wageringel

unread,
Feb 12, 2022, 8:52:07 AMFeb 12
to sage-release
Instead of modifying the .gitattributes file, you could try adding it to .git/info/attributes which is local to your repository.

Justin C. Walker

unread,
Feb 14, 2022, 4:24:17 PMFeb 14
to sage-r...@googlegroups.com
Built w/o problems on macOS 10.15.7 (2019 MBP, 8-core Core i9).

Testing (‘ptestlong’) yielded 8 failures.  Seven were do directly to “bad CPU ID” in Imagemagick/convert” (all due to my failure to get Imagemagick updated).

One seems related to Volker’s note below:

File "src/sage/misc/latex.py", line 164, in sage.misc.latex.bool
Failed example:
    have_convert() # random
Exception raised:
    Traceback (most recent call last):
      File "sage/misc/cachefunc.pyx", line 996, in sage.misc.cachefunc.CachedFunction.__call__ (build/cy\
thonized/sage/misc/cachefunc.c:6061)
        return self.cache[k]
    KeyError: ((), ())

    During handling of the above exception, another exception occurred:

This second exception was another “bad CPU ID” failure.

HTH

Justin
-- 
You received this message because you are subscribed to the Google Groups "sage-release" group.
To unsubscribe from this group and stop receiving emails from it, send an email to sage-release...@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/sage-release/1d3eb648-0449-4e98-8a9d-43fb5a7f915en%40googlegroups.com.

Kenji Iohara

unread,
Feb 14, 2022, 7:48:12 PMFeb 14
to sage-r...@googlegroups.com
On my Mac OS 12.2, with Python 3.10.1, the first built worked. But, for make ptestlong, it falied with the next message:

----------------------------------------------------------------------
sage -t --long --random-seed=131625912295076909853615597197559709837 src/sage/algebras/lie_algebras/classical_lie_algebra.py  # Timed out
sage -t --long --random-seed=131625912295076909853615597197559709837 src/sage/coding/ag_code_decoders.pyx  # Timed out
sage -t --long --random-seed=131625912295076909853615597197559709837 src/sage/schemes/elliptic_curves/ell_rational_field.py  # Timed out
sage -t --long --random-seed=131625912295076909853615597197559709837 src/sage/schemes/elliptic_curves/ell_number_field.py  # Timed out
sage -t --long --random-seed=131625912295076909853615597197559709837 src/sage/plot/plot3d/implicit_plot3d.py  # Timed out
sage -t --long --random-seed=131625912295076909853615597197559709837 src/sage/manifolds/differentiable/affine_connection.py  # Timed out
sage -t --long --random-seed=131625912295076909853615597197559709837 src/doc/en/constructions/calculus.rst  # Timed out
sage -t --long --random-seed=131625912295076909853615597197559709837 src/sage/plot/plot3d/parametric_plot3d.py  # Timed out
sage -t --long --random-seed=131625912295076909853615597197559709837 src/sage/plot/plot3d/plot3d.py  # Timed out
sage -t --long --random-seed=131625912295076909853615597197559709837 src/sage/plot/plot3d/base.pyx  # Timed out
sage -t --long --random-seed=131625912295076909853615597197559709837 src/sage/dynamics/arithmetic_dynamics/projective_ds.py  # Timed out
sage -t --long --random-seed=131625912295076909853615597197559709837 src/sage/plot/animate.py  # Timed out
sage -t --long --random-seed=131625912295076909853615597197559709837 src/sage/schemes/cyclic_covers/cycliccover_finite_field.py  # Timed out
sage -t --long --random-seed=131625912295076909853615597197559709837 src/sage/geometry/triangulation/base.pyx  # Timed out
sage -t --long --random-seed=131625912295076909853615597197559709837 src/sage/manifolds/differentiable/metric.py  # Timed out
sage -t --long --random-seed=131625912295076909853615597197559709837 src/sage/plot/plot.py  # Timed out
sage -t --long --random-seed=131625912295076909853615597197559709837 src/sage/interfaces/expect.py  # 2 doctests failed
sage -t --long --random-seed=131625912295076909853615597197559709837 src/sage/misc/sage_timeit_class.pyx  # Timed out
sage -t --long --random-seed=131625912295076909853615597197559709837 src/sage/groups/generic.py  # Timed out
sage -t --long --random-seed=131625912295076909853615597197559709837 src/sage/manifolds/utilities.py  # Timed out
Doctests interrupted: 709/4340 files tested
----------------------------------------------------------------------
Total time for all tests: 29237.2 seconds
    cpu time: 16318.8 seconds
    cumulative wall time: 26974.7 seconds
Traceback (most recent call last):
  File "/Users/iohara/Desktop/sage-9.6.beta1/local/var/lib/sage/venv-python3.10/lib/python3.10/site-packages/sage/doctest/forker.py", line 1819, in parallel_dispatch
    w.kill()
  File "/Users/iohara/Desktop/sage-9.6.beta1/local/var/lib/sage/venv-python3.10/lib/python3.10/site-packages/sage/doctest/forker.py", line 2332, in kill
    os.killpg(self.pid, signal.SIGQUIT)
PermissionError: [Errno 1] Operation not permitted

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/Users/iohara/Desktop/sage-9.6.beta1/src/bin/sage-runtests", line 147, in <module>
    err = DC.run()
  File "/Users/iohara/Desktop/sage-9.6.beta1/local/var/lib/sage/venv-python3.10/lib/python3.10/site-packages/sage/doctest/control.py", line 1261, in run
    self.run_doctests()
  File "/Users/iohara/Desktop/sage-9.6.beta1/local/var/lib/sage/venv-python3.10/lib/python3.10/site-packages/sage/doctest/control.py", line 962, in run_doctests
    self.dispatcher.dispatch()
  File "/Users/iohara/Desktop/sage-9.6.beta1/local/var/lib/sage/venv-python3.10/lib/python3.10/site-packages/sage/doctest/forker.py", line 2004, in dispatch
    self.parallel_dispatch()
  File "/Users/iohara/Desktop/sage-9.6.beta1/local/var/lib/sage/venv-python3.10/lib/python3.10/site-packages/sage/doctest/forker.py", line 1950, in parallel_dispatch
    if w.kill():
  File "/Users/iohara/Desktop/sage-9.6.beta1/local/var/lib/sage/venv-python3.10/lib/python3.10/site-packages/sage/doctest/forker.py", line 2334, in kill
    os.killpg(self.pid, signal.SIGKILL)
PermissionError: [Errno 1] Operation not permitted
make: *** [ptestlong] Error 1

Here is its log file: 
ptestlong.log

tsc...@ucdavis.edu

unread,
Feb 15, 2022, 12:11:40 AMFeb 15
to sage-release
Instead of modifying the .gitattributes file, you could try adding it to .git/info/attributes which is local to your repository.


Thank you. I will try that next time.

I am a little hesitant to modify the full repo .gitattributes with this as this might have a number of other unintended side effects. Perhaps I am being paranoid.

Best,
Travis

Reply all
Reply to author
Forward
0 new messages